Bug 5010 - Re-work libpwquality package structure
: Re-work libpwquality package structure
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-04 18:54 MSK by Andrey Bondrov
Modified: 2015-02-10 16:09 MSK (History)
2 users (show)

See Also:
RPM Package: libpwquality
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
32bit-new.txt (6.68 KB, text/plain)
2015-02-05 12:30 MSK, FirstLevel
Details
32bit-old.txt (4.92 KB, text/plain)
2015-02-05 12:30 MSK, FirstLevel
Details
64bit-new.txt (6.69 KB, text/plain)
2015-02-05 12:31 MSK, FirstLevel
Details
64bit-old.txt (4.96 KB, text/plain)
2015-02-05 12:31 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-02-04 18:54:47 MSK
We need to re-work libpwquality package structure:

1. Move locales and configs to new libpwquality-common subpackage
2. Move PAM module and man for it to new pam_pwquality subpackage

Please test if the update is smooth and pam_pwquality is installed (it's needed for pam package).
Comment 1 Andrey Bondrov 2015-02-04 18:55:22 MSK
Advisory: "Re-work libpwquality package structure"

https://abf.rosalinux.ru/build_lists/2405397
https://abf.rosalinux.ru/build_lists/2405398
Comment 2 FirstLevel 2015-02-05 12:30:23 MSK
Update is ok for 32bit and 64 bit.
No new error messages in dmesg and systemctl | grep failed.

Old packages and contents 32bit-old.txt 64bit-old.txt
New packages and contents 32bit-new.txt 64bit-new.txt
Comment 3 FirstLevel 2015-02-05 12:30:37 MSK
Created attachment 3728 [details]
32bit-new.txt
Comment 4 FirstLevel 2015-02-05 12:30:51 MSK
Created attachment 3729 [details]
32bit-old.txt
Comment 5 FirstLevel 2015-02-05 12:31:04 MSK
Created attachment 3730 [details]
64bit-new.txt
Comment 6 FirstLevel 2015-02-05 12:31:16 MSK
Created attachment 3731 [details]
64bit-old.txt
Comment 7 FirstLevel 2015-02-05 12:31:55 MSK
I see that these items are realized:
1. Move locales and configs to new libpwquality-common subpackage
2. Move PAM module and man for it to new pam_pwquality subpackage
Comment 8 Vladimir Potapov 2015-02-10 14:37:10 MSK
libpwquality-1.2.4-6
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2405397/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2405398/x86_64/main/release/
************************** Advisory *****************************
Re-work libpwquality package structure
*****************************************************************
QA Verified